import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Thurallor.Common.Turbine";
import "Thurallor.Common.Utils.Utils_1";
import "Thurallor.Common.UI.ProgressBar";
import "Thurallor.AssetBrowser.assetInfo";
import "Thurallor.AssetBrowser.AssetBrowser";

theBrowser = AssetBrowser();
--import "Thurallor.AssetBrowser.assetInfo";
--Turbine.Shell.WriteLine("-----------------");
--idx = assetIDIndex[1234];
--Turbine.Shell.WriteLine("idx = " .. tostring(idx));

Turbine.Shell.WriteLine("AssetBrowser v" .. tostring(plugin:GetVersion()) .. ", by Thurallor");

assetCmd = Turbine.ShellCommand();
assetCmd.Execute = function(sender, cmd, arg)
    local newBrowser = AssetBrowser(tonumber(arg));
end
assetCmd.GetHelp = function()
    return "usage: /asset [id]\nOpens a new Asset Browser window.\nYou may optionally specify an initial asset ID.";
end
assetCmd.GetShortHelp = function()
    return "Opens a new Asset Browser window.";
end
Turbine.Shell.AddCommand("asset", assetCmd);
Turbine.Shell.WriteLine("Added shell command: asset [id]");
